/* 
File: queue.h
Description: Header file for queue.c (Simple Dynamic Queue)
Written by : Norvin Eitzen
Date: Oct 19th, 1999
*/

#include <stdio.h>
#include <stdlib.h> 
#include <assert.h> /* for assert function */

typedef struct nodetag_ *nodetag;
struct nodetag_ {
        char *item;       /* Data element of list */
        nodetag link;      /* The next node */
};

typedef struct queue_ *queue;
struct queue_ {
        nodetag front;
        nodetag rear;
};

int fullQueue(queue q);
int emptyQueue(queue q);
queue initializeQueue(queue new);
queue insertQueue(queue q, char *data);
char* removeQueue(queue q);

