#include <stdio.h>

int debug = 1;
char *get_href(char *anchor); 


int main(int argc, char *argv[]) {
	char href[1024];
	FILE *fp;
	char inchr;

	if ((fp = fopen("src/href_testfile.txt", "r")) == NULL) {
 		printf("Couldn't Open Testfile\n");
		exit(1);
	} 

	while(!feof(fp)) {
		inchr = ' ';
		while((inchr != '\n') && (!feof(fp))) { 
		 fscanf(fp, "%c", &inchr);
 		 sprintf(href, "%s%c", href, inchr);
		}
		strcpy(href, get_href(href));
		printf("%s\n", href);
		strcpy(href, "");
		inchr = ' ';
	}
	return(0);
} 

char *get_href(char *anchor) {
        int index1,index2,index3;
	char *href;
	href = (char *) malloc (strlen(anchor) * sizeof(char));
	 strcpy(anchor, (char *)strRemoveAll(anchor, " "));

        index1 = indexOf(strToUpper(anchor),"HREF=");
	index1 = index1 + 5;
	 
	if(anchor[index1+1] == '\'') {
		index1++;
		/* Delimiter is a single quote */  
	        index2 = indexOf(mid(anchor, index1, strlen(anchor)), "'");
		
	} 
	else if(anchor[index1+1] == '"') {
		/* Delimiter is a double quote */
		index1++;
	        index2 = indexOf(mid(anchor, index1, strlen(anchor)), "\"");
		 
 	}
	else {
		/* Delimiter is a space or > */
	        index2 = indexOf(mid(anchor, index1, strlen(anchor)), ">");
	        index3 = indexOf(mid(anchor, index1, strlen(anchor)), " ");
		if((index3 < index2) && (index3 != -1) && (index2 != -1)) index2 = index3;
		else if((index2 == -1) && (index3 != -1)) index2 = index3;
	}
	strcpy(href, (char *)mid(anchor, index1, index2+index1));
	strcpy(href, (char *)strRemoveAll(href, "\""));
	return(href);
}
