/*
Copyright (c) 1996 W. Richard Stevens.  All rights reserved.
*/
#include	"../include/cliserv.h"

int
read_stream(int fd, char *ptr, int maxbytes)
{
	int		nleft, nread;
	nleft = maxbytes;
	while (nleft > 0) {
		if ( (nread = read(fd, ptr, nleft)) < 0)
			return(nread);		/* error, return < 0 */
		else if (nread == 0)
			break;		/* EOF, return # bytes read */
		
		nleft -= nread;
		ptr   += nread;
	}
	return(maxbytes - nleft);		/* return >= 0 */
}





